#! /usr/bin/rpm
# $Id: fmdfeeserver.spec.in,v 1.11 2008/04/14 17:35:05 cholm Exp $
%define debug_package 	  %{nil}
%define __find_provides   %{nil}
%define is_variant	  0
%define conf_args	  --sysconfdir=/etc
%define rel_post 	  %{nil}
%define need_arm          0

%if %{?variant:1} %{!?variant:0}
%define rel_post          _%{variant}
%define is_variant 	  1
%if %{variant} == "arm" 
%define _prefix           /home/dcs
%define _sysconfdir	  %{_prefix}/etc
%define conf_args 	  --host=arm-linux CC=arm-linux-gcc CXX=arm-linux-g++ CPPFLAGS=-I%{_prefix}/include LDFLAGS=-L%{_prefix}/lib --prefix=%{_prefix} --sysconfdir=%{_prefix}/etc
%define need_arm           1
%else 
%define conf_args	  --prefix=%{_prefix} --sysconfdir=/etc
%endif
%endif 

#_____________________________________________________________________
Summary: 	FMD FeeServer 
Name: 		fmdfeeserver
Version: 	0.1
Release: 	11%{rel_post}
License: 	GNU General Public License
Group: 		System/Servers
URL: 		http://fmd.nbi.dk/fmd/fee/fmdfeeserver
Vendor:		Niels Bohr Institute
Source0: 	fmdfeeserver-0.1.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{need_arm}
BuildArch:	noarch
%endif
AutoReq:	0
BuildRequires:  rcuce-devel
BuildRequires:  feeserverxx-devel
BuildRequires:  dcsc-devel

%description -n %{name}
This package contains a library to build an RCU control engine for 
the FeeServer.

%files -n %{name}
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/fmdfeeserver
%attr(775,nobody,nobody) %{_prefix}/var/log
%attr(775,nobody,nobody) %{_prefix}/var/run
%{_prefix}/bin
%{_prefix}/share/doc/fmdfeeserver
%{_sysconfdir}/init.d/S90fmdfeeserver

#_____________________________________________________________________
%prep
%setup -q -n fmdfeeserver-0.1
%if %{need_arm}
export PATH=%{_prefix}/bin:${PATH}:/usr/local/bin
%endif
./configure  %{conf_args} --mandir=%{_prefix}/share/man

%build
%if %{need_arm}
export PATH=%{_prefix}/bin:${PATH}:/usr/local/bin
%endif
make 

%install
rm -rf $RPM_BUILD_ROOT
%if %{need_arm}
export PATH=%{_prefix}/bin:${PATH}:/usr/local/bin
%endif
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/var/log
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/var/run
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/fmdfeeserver
export STRIP=/bin/true
export OBJDUMP=/bin/true

%clean
# rm -rf $RPM_BUILD_ROOT
make distclean > /dev/null 2>&1 

#_____________________________________________________________________
%changelog
* Fri Jul 13 2007 Christian Holm Christensen <cholm@nbi.dk>
- Added FSM support

* Fri Jun  13 2007 Matthias Richter <Matthias.Richter@ift.uib.no> 
- added to project, 
- few generalizations.

* Sat Apr  7 2007 Christan Holm Christensen <cholm@nbi.dk> 
- Initial build.

